Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations

QuerySchedulerJobHistory

QuerySchedulerJobHistory

GET/zstack/v1/scheduler/job/history

Operation ID

QuerySchedulerJobHistory

Since

3.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories

    • id
      longRequired

      The resource ID.

    • triggerUuid
      StringRequired

      The UUID of the trigger.

    • schedulerJobUuid
      StringRequired

      The UUID of the job.

    • schedulerJobGroupUuid
      StringRequired

      The UUID of the job group.

    • startTime
      TimestampRequired

      The time when the job was started.

    • executeTime
      longRequired

      The duration of the job execution.

    • targetResourceUuid
      StringRequired

      The UUID of the job execution history.

    • requestDump
      StringRequired

      The job execution request.

    • resultDump
      StringRequired

      The job execution result.

    • success
      booleanRequired

      Whether the operation succeeded.